/*
 * in0100af_oem.h
 *
 * This header file covers all variables and macros for OEM versions.
 */

#ifndef KEN0100_A_OEM_H
#define KEN0100_A_OEM_H

#ifdef GENERIC_IN0100AF
#define OEM_MANFID      0x0274
#define OEM_PRODID      0x1103
#define OEM_PROD_NAME   "iPort 10/100M Ethernet Card" 
#endif

#ifdef GENERIC_BIN0100A
#define OEM_MANFID      0x0274
#define OEM_PRODID      0x1103
#define OEM_PROD_NAME   "BroMax iPort 10/100M Ethernet Card" 
#endif

#ifdef GENERIC_KEN0100A
#define OEM_MANFID      0x8A01
#define OEM_PRODID      0xC1AB
#define OEM_PROD_NAME   "10/100 Ethernet PC Card"
#endif 

#ifdef GENERIC_KEN0100B 
#define OEM_MANFID      0x8A01
#define OEM_PRODID      0xC1AB
#define OEM_PROD_NAME   "10/100 Ethernet PC Card"
#endif

#ifdef LEGEND
#define OEM_MANFID      0x8A01
#define OEM_PRODID      0xC1AB
#define OEM_PROD_NAME   "Legend-easy 10/100M Ethernet PC Card"
#endif

#ifdef MELCO 
#define OEM_MANFID      0x8A01
#define OEM_PRODID      0xC1AB
#define OEM_PROD_NAME   "MELCO LPC3-TX"
#endif

#ifdef BUFFALO_CLX 
#define OEM_MANFID      0x018A
#define OEM_PRODID      0x0301
#define OEM_PROD_NAME   "BUFFALO LPC3-CLX 10/100 Ethernet"
#endif

#ifdef ZIO   
#define OEM_MANFID      0x018A
#define OEM_PRODID      0x0301
#define OEM_PROD_NAME   "ZIO POWER PCM-TXB"
#endif

#ifdef LG 
#define OEM_MANFID      0x8A01
#define OEM_PRODID      0xC1AB
#define OEM_PROD_NAME   "LG GoldStream LPNC 10/100"
#endif

#ifdef COREGA
#define OEM_MANFID      0x1234
#define OEM_PRODID      0x5678
#define OEM_PROD_NAME   "corega FEther PCC-TXD"
#endif

#ifdef DDC 
#define OEM_MANFID      0x0274
#define OEM_PRODID      0x1103
#define OEM_PROD_NAME   "LevelOne 10/100M 16bit PCMCIA Ethernet Card"
#endif

#ifdef KINGSTON
#define OEM_MANFID      0x0186
#define OEM_PRODID      0x0102
#define OEM_PROD_NAME   "Kingston KNE-PC3TXND"
#endif

#endif  /* KEN0100_A_OEM_H */
